Subject: Re: bug#20245: 24.5; c++-mode font-lock broken by the last commit to emacs24 branch

From: Alan Mackenzie <[email-masked]>
Date: 2 Apr 2015 09:51:35 -0000

Hello, Oleh.

In article <[email-masked]> you wrote:

> The font-locking of at least C++ headers was broken in "d69e9f1".
> Here's a screenshot: http://i.imgur.com/eT6X3hP.png. You can see three
> artifacts there. They change number and location when I scroll.

This was fixed very recently in the master branch.  Would you please try
the same file in master to confirm that the fix is a fix.

> It goes back to a good state if I revert the commit and re-compile.
> I hope this gets fixed by 24.5 release, even by just reverting
> "d69e9f1", since this one is a bigger bug than
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19669, which "d69e9f1" fixes.

> Oleh

-- 
Alan Mackenzie (Nuremberg, Germany).